package org.rcisoft.bus.jnsp7xtm.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.bus.jnsp7xtm.dto.Jnsp7xtmPageRequestDto;
import org.rcisoft.bus.jnsp7xtm.entity.Jnsp7xtm;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

// Jnsp74tm Mapper类
@Mapper
public interface Jnsp7xtmRepository extends CyBaseMapper<Jnsp7xtm> {

    /**
     * 7.弹出框查询
     * **/
    IPage<Jnsp7xtm> queryJnsp74tmByPaged(CyPageInfo cyPageInfo, @Param("entity") Jnsp7xtmPageRequestDto jnsp74tmPageRequestDto);


    /**
     * 8.总数
     * **/
    Integer queryAllJnsp74tm(@Param("entity") Jnsp7xtmPageRequestDto jnsp74tmPageRequestDto);

    /** 9.导出明细
     * **/
    IPage<Jnsp7xtm> queryFindAllList(IPage<Jnsp7xtm> page, @Param("entity") Jnsp7xtmPageRequestDto jnsp74tmPageRequestDto);

}
