package org.rcisoft.bus.jnsp7xtm.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author: gy
 * @Date: 2024/5/7 10:25
 * @Description:
 */
@Data
@JsonPropertyOrder(value = {"nqy","chzs","rmb","xsjg","chzsa","chzsb","zzc","zzcg"})
public class Jnsp7xtmDto {

    /**
     * @desc
     * @column chzsa
     * @default
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    @TableField(exist = false)
    private String chzs;

    /**
     * @desc
     * @column szzt
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String szzt;

    /**
     * @desc
     * @column pn
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String pn;

    /**
     * @desc
     * @column bz
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String bz;

    /**
     * @desc
     * @column yydd
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String yydd;

    /**
     * @desc
     * @column khdm
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String khdm;

    /**
     * @desc
     * @column mksqf
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String mksqf;

    /**
     * @desc
     * @column khm
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String khm;

    /**
     * @desc
     * @column jlpm
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String jlpm;

    /**
     * @desc
     * @column fzdm
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String fzdm;

    /**
     * @desc
     * @column l24
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String l24;

    /**
     * @desc
     * @column ddjsr
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String ddjsr;

    /**
     * @desc
     * @column zzcg
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zzcg;

    /**
     * @desc
     * @column nqy
     * @default
     */
    private String nqy;

    /**
     * @desc
     * @column chzsa
     * @default
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String chzsa;

    /**
     * @desc
     * @column ddh
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String ddh;

    /**
     * @desc
     * @column khqf
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String khqf;

    /**
     * @desc
     * @column ddzdnq
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String ddzdnq;

    /**
     * @desc
     * @column xsjg
     * @default
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xsjg;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String rmb;

    /**
     * @desc
     * @column zzc
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zzc;


    /**
     * @desc
     * @column zd
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String zd;

    /**
     * @desc
     * @column chzsb
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String chzsb;

    /**
     * @desc
     * @column fnq
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String fnq;

    /**
     * @desc
     * @column jypn
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String jypn;

    /**
     * @desc
     * @column xslj
     * @default
     */

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private String xslj;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    @TableField(exist = false)
    private String count;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    private BigDecimal sortNqy;

}
