package org.rcisoft.bus.jnsp7xtm.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
/**
 * @Author: gy
 * @Date: 2024/5/7 10:30
 * @Description: 前端请求类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Jnsp7xtmPageRequestDto {

    // mySzzt集合
    private String mySzzt;

    // fnq集合
    private String fnq;

    // zd集合
    private String zd;

    //jlpm集合
    private String jlpm;

    //nqy集合
    private String nqy;

    //khqf集合
    private String khqf;

    //mksqf集合
    private String mksqf;

    //khdm集合
    private String khdm;

    //khm集合
    private String khm;

    //pn集合
    private String pn;

    //ddh集合
    private String ddh;

    //chzs条件
    private boolean chzs;

    //chzsa条件
    private boolean chzsa;

    //chzsb条件
    private boolean chzsb;

    //zzc条件
    private boolean zzc;

    //zzc条件
    private boolean zzcg;

    //xsjg条件
    private boolean xsjg;

    //xsjg条件
    private boolean count;

    //rmb条件
    private boolean rmb;

    //szzt条件
    private boolean szzt;

    //特判nqy
    private String clickNqy;

    //pageSize
    private Integer pageSize;
    //pageNo
    private Integer pageNo;


    // 维度一
    private String oneDimensionality;

    // 维度一的值
    private String oneDimensionalityValue;

    // 弹框查询 是否查询维度二
    private Boolean clickOneDimensionality;

    // 维度二
    private String twoDimensionality;

    // 维度二的值
    private String twoDimensionalityValue;

    // 弹框查询 是否查询维度二
    private Boolean clickTwoDimensionality;

    // 维度三
    private String threeDimensionality;

    // 维度三的值
    private String threeDimensionalityValue;

    // 弹框查询 是否查询维度三
    private Boolean clickThreeDimensionality;

    // 模糊查询Khdm
    private String vagueKhdm;

    // 模糊查询khm
    private String vaguekhm;

    // 导出类型 1:弹出框查询 2:明细查询
    private String type;

    private String joinSql;

    private String querySql;
}
